Get VRP Payment Details
curl --request GET \
--url https://api.yapily.com/variable-recurring-payments/payments/{paymentId}/details \
--header 'Authorization: Basic <encoded-value>' \
--header 'consent: <consent>'import requests
url = "https://api.yapily.com/variable-recurring-payments/payments/{paymentId}/details"
headers = {
"consent": "<consent>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {consent: '<consent>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.yapily.com/variable-recurring-payments/payments/{paymentId}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "679e7bb6cd45416a9a9a8d004c5315da"
},
"data": {
"id": "a9582f8e-08be-4cca-9f01-1ad3be96532d",
"paymentIdempotencyId": "234g87t58tgeuo848wudjew489",
"institutionConsentId": "PF23232222DD",
"status": "COMPLETED",
"statusDetails": {
"status": "COMPLETED",
"isoStatus": {
"code": "ACCP",
"name": "AcceptedCustomerProfile"
}
},
"initiationDetails": {
"reference": "Own Account Sweeping",
"payer": {
"name": "John Doe",
"accountIdentifications": [
{
"type": "ACCOUNT_NUMBER",
"identification": "87654321"
},
{
"type": "SORT_CODE",
"identification": "654321"
}
]
},
"payee": {
"name": "John Doe",
"accountIdentifications": [
{
"type": "ACCOUNT_NUMBER",
"identification": "12345678"
},
{
"type": "SORT_CODE",
"identification": "123456"
}
]
}
},
"submissionDetails": {
"reference": "Own Account Sweeping",
"payee": {
"name": "John Doe",
"accountIdentifications": [
{
"type": "ACCOUNT_NUMBER",
"identification": "12345678"
},
{
"type": "SORT_CODE",
"identification": "123456"
}
]
},
"paymentAmount": {
"amount": 10,
"currency": "GBP"
}
},
"payer": {
"name": "John Doe",
"accountIdentifications": [
{
"type": "ACCOUNT_NUMBER",
"identification": "87654321"
},
{
"type": "SORT_CODE",
"identification": "654321"
}
]
},
"refundAccount": {
"accountIdentifications": [
{
"identification": "400400",
"type": "SORT_CODE"
},
{
"identification": "99999999",
"type": "ACCOUNT_NUMBER"
}
],
"name": "Refund Account"
},
"expectedSettlementTime": "2022-03-02T12:00:00.000Z",
"expectedExecutionTime": "2022-03-02T12:00:00.000Z"
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 401,
"status": "UNAUTHORIZED",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "CREDENTIALS",
"code": "CREDENTIALS_MISSING",
"message": "Authentication header not present"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "BAD_REQUEST",
"code": "BAD_REQUEST",
"message": "The server could not understand the request due to invalid syntax"
}
]
}
}Variable Recurring Payments
Get VRP Payment Details
Get VRP payment details from the Payment ID.
Features: CREATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING or CREATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_COMMERCIAL
Get VRP Payment Details
Learn more: VRP Paymenent Details
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Headers
Mandatory. The Consent Token containing the user's authorisation to make the Variable Recurring Payments request.
Path Parameters
Mandatory. The Payment Id of the Variable Recurring Payments to retrieve.
Was this page helpful?
⌘I